package com.iver.cit.gvsig.geoprocess.core;

import java.net.URL;
import java.util.Locale;

import com.iver.cit.gvsig.geoprocess.impl.buffer.BufferGeoprocessPlugin;

public abstract class GeoprocessPluginAbstract implements IGeoprocessPlugin {

	public URL getHtmlDescription() {
		Locale locale = Locale.getDefault();
		String localeStr = locale.getLanguage();
		String urlStr = "resources/description_" +
										localeStr +
											".html";
		URL url = this.getClass().
			getResource(urlStr);
		if (url == null){
			// for languages used in Spain, fallback to Spanish if their translation is not available
			if (localeStr.equals("ca")||localeStr.equals("gl")||localeStr.equals("eu")||localeStr.equals("va")) {
				localeStr = "es";
				urlStr = "resources/description_" +
				localeStr +
					".html";
				url = this.getClass().
					getResource(urlStr);
				if (url!=null)
					return url;
			}
			
			localeStr = "en";
			urlStr = "resources/description_" +
			localeStr +
				".html";
			url = this.getClass().
				getResource(urlStr);
		}
		return url;
	}

}
