package com.iver.cit.gvsig.fmap.layers;

import java.awt.Graphics2D;

import com.iver.cit.gvsig.fmap.FMapEvent;
import com.iver.cit.gvsig.fmap.ViewPort;

public class LayerDrawEvent extends FMapEvent {
	ViewPort vp;
	Graphics2D g;
	FLayer lyr;
	public static final int LAYER_BEFORE_DRAW = 101;
	public static final int LAYER_AFTER_DRAW = 102;
	public static final int GRAPHICLAYER_BEFORE_DRAW = 103;
	public static final int GRAPHICLAYER_AFTER_DRAW = 104;

	public LayerDrawEvent(FLayer lyr, Graphics2D g, ViewPort vp, int eventType) {
		this.lyr = lyr;
		this.g = g;
		this.vp = vp;
		setEventType(eventType);
	}
	public Graphics2D getGraphics() {
		return g;
	}
	public ViewPort getViewPort() {
		return vp;
	}
	public FLayer getLayer() {
		return lyr;
	}

}
