package com.iver.cit.gvsig.project.documents.view.tool.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.gvsig.gui.beans.AcceptCancelPanel;

import com.hardcode.gdbms.engine.values.NumericValue;
import com.hardcode.gdbms.engine.values.Value;
import com.hardcode.gdbms.engine.values.ValueFactory;
import com.iver.andami.PluginServices;
import com.iver.andami.ui.mdiManager.IWindow;
import com.iver.andami.ui.mdiManager.WindowInfo;
import com.iver.cit.gvsig.fmap.layers.Annotation_Mapping;
import com.iver.cit.gvsig.gui.panels.ColorChooserPanel;
import com.iver.cit.gvsig.project.documents.view.gui.FontOptions;

public class Annotation_ModifyWindow extends JPanel implements IWindow{

	private JPanel jPanel = null;
	private JLabel jLabel = null;
	private JTextField jTextField = null;
	private JLabel jLabel1 = null;
	private JComboBox cmbTypeFont = null;
	private JLabel jLabel2 = null;
	private JComboBox cmbStyleFont = null;
	private JLabel jLabel3 = null;
	private JTextField txtHeight = null;
	private JLabel jLabel4 = null;
	private ColorChooserPanel colorPanel = null;
	private JLabel jLabel5 = null;
	private JTextField txtRotate = null;
	private AcceptCancelPanel accept;
	private boolean isAccepted=false;
	private JPanel jPanel1 = null;  //  @jve:decl-index=0:visual-constraint="10,10"
	private JPanel jPanel2 = null;
	private Annotation_Mapping mapping;
	/**
	 * This is the default constructor
	 */
	public Annotation_ModifyWindow() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 *
	 * @return void
	 */
	private void initialize() {
		this.setLayout(new BorderLayout());
		this.setSize(292, 197);
		this.add(getJPanel1(), java.awt.BorderLayout.CENTER);
	}

	public WindowInfo getWindowInfo() {
		WindowInfo wi=new WindowInfo(WindowInfo.MODALDIALOG);
		wi.setTitle(PluginServices.getText(this,"modify_annotation"));
		return wi;
	}

	/**
	 * This method initializes jPanel
	 *
	 * @return javax.swing.JPanel
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
			gridBagConstraints11.fill = java.awt.GridBagConstraints.HORIZONTAL;
			gridBagConstraints11.gridy = 5;
			gridBagConstraints11.weightx = 1.0;
			gridBagConstraints11.gridx = 1;
			GridBagConstraints gridBagConstraints10 = new GridBagConstraints();
			gridBagConstraints10.gridx = 0;
			gridBagConstraints10.gridy = 5;
			jLabel5 = new JLabel();
			jLabel5.setText(PluginServices.getText(this,"fontrotate"));
			jLabel5.setPreferredSize(new java.awt.Dimension(100,16));
			GridBagConstraints gridBagConstraints9 = new GridBagConstraints();
			gridBagConstraints9.fill = java.awt.GridBagConstraints.HORIZONTAL;
			gridBagConstraints9.gridy = 4;
			gridBagConstraints9.weightx = 1.0;
			gridBagConstraints9.gridx = 1;
			GridBagConstraints gridBagConstraints8 = new GridBagConstraints();
			gridBagConstraints8.gridx = 0;
			gridBagConstraints8.gridy = 4;
			jLabel4 = new JLabel();
			jLabel4.setText(PluginServices.getText(this,"fontcolor"));
			jLabel4.setPreferredSize(new java.awt.Dimension(100,16));
			GridBagConstraints gridBagConstraints7 = new GridBagConstraints();
			gridBagConstraints7.fill = java.awt.GridBagConstraints.HORIZONTAL;
			gridBagConstraints7.gridy = 3;
			gridBagConstraints7.weightx = 1.0;
			gridBagConstraints7.gridx = 1;
			GridBagConstraints gridBagConstraints6 = new GridBagConstraints();
			gridBagConstraints6.gridx = 0;
			gridBagConstraints6.gridy = 3;
			jLabel3 = new JLabel();
			jLabel3.setText(PluginServices.getText(this,"fontheight"));
			jLabel3.setPreferredSize(new java.awt.Dimension(100,16));
			GridBagConstraints gridBagConstraints5 = new GridBagConstraints();
			gridBagConstraints5.fill = java.awt.GridBagConstraints.HORIZONTAL;
			gridBagConstraints5.gridy = 2;
			gridBagConstraints5.weightx = 1.0;
			gridBagConstraints5.gridx = 1;
			GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
			gridBagConstraints4.gridx = 0;
			gridBagConstraints4.gridy = 2;
			jLabel2 = new JLabel();
			jLabel2.setText(PluginServices.getText(this,"fontstyle"));
			jLabel2.setPreferredSize(new java.awt.Dimension(100,16));
			GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
			gridBagConstraints3.fill = java.awt.GridBagConstraints.HORIZONTAL;
			gridBagConstraints3.gridy = 1;
			gridBagConstraints3.weightx = 1.0;
			gridBagConstraints3.gridx = 1;
			GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
			gridBagConstraints2.gridx = 0;
			gridBagConstraints2.gridy = 1;
			jLabel1 = new JLabel();
			jLabel1.setText(PluginServices.getText(this,"fonttype"));
			jLabel1.setHorizontalTextPosition(javax.swing.SwingConstants.TRAILING);
			jLabel1.setPreferredSize(new java.awt.Dimension(100,16));
			jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.LEADING);
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
			gridBagConstraints1.gridy = 0;
			gridBagConstraints1.weightx = 1.0;
			gridBagConstraints1.gridx = 1;
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.gridx = 0;
			gridBagConstraints.gridy = 0;
			jLabel = new JLabel();
			jLabel.setText(PluginServices.getText(this,"fonttext"));
			jLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEADING);
			jLabel.setHorizontalTextPosition(javax.swing.SwingConstants.TRAILING);
			jLabel.setPreferredSize(new java.awt.Dimension(100,16));
			jLabel.setVerticalAlignment(javax.swing.SwingConstants.CENTER);
			jPanel = new JPanel();
			jPanel.setLayout(new GridBagLayout());
			jPanel.setBorder(javax.swing.BorderFactory.createTitledBorder(null, PluginServices.getText(this,"options"), javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, null, null));
			jPanel.add(jLabel, gridBagConstraints);
			jPanel.add(getTxtText(), gridBagConstraints1);
			jPanel.add(jLabel1, gridBagConstraints2);
			jPanel.add(getCmbTypeFont(), gridBagConstraints3);
			jPanel.add(jLabel2, gridBagConstraints4);
			jPanel.add(getCmbStyleFont(), gridBagConstraints5);
			jPanel.add(jLabel3, gridBagConstraints6);
			jPanel.add(getTxtHeight(), gridBagConstraints7);
			jPanel.add(jLabel4, gridBagConstraints8);
			jPanel.add(getColorChooser(), gridBagConstraints9);
			jPanel.add(jLabel5, gridBagConstraints10);
			jPanel.add(getTxtRotate(), gridBagConstraints11);
		}
		return jPanel;
	}

	/**
	 * This method initializes jTextField
	 *
	 * @return javax.swing.JTextField
	 */
	private JTextField getTxtText() {
		if (jTextField == null) {
			jTextField = new JTextField();
		}
		return jTextField;
	}

	/**
	 * This method initializes txtTypeFont
	 *
	 * @return javax.swing.JTextField
	 */
	private JComboBox getCmbTypeFont() {
		if (cmbTypeFont == null) {
			cmbTypeFont = new JComboBox();
			String[] types= FontOptions.getFontTypes();
			for (int i=0;i<types.length;i++){
				cmbTypeFont.addItem(types[i]);
			}
			cmbTypeFont.setSelectedItem(FontOptions.ARIAL);

		}
		return cmbTypeFont;
	}

	/**
	 * This method initializes txtStyleFont
	 *
	 * @return javax.swing.JTextField
	 */
	private JComboBox getCmbStyleFont() {
		if (cmbStyleFont == null) {
			cmbStyleFont = new JComboBox();
			String [] styles=FontOptions.getFontStyles();
			for (int i =0;i<styles.length;i++){
				cmbStyleFont.addItem(styles[i]);
			}
			cmbStyleFont.setSelectedItem(FontOptions.PLAIN);
		}
		return cmbStyleFont;
	}

	/**
	 * This method initializes txtHeight
	 *
	 * @return javax.swing.JTextField
	 */
	private JTextField getTxtHeight() {
		if (txtHeight == null) {
			txtHeight = new JTextField();
		}
		return txtHeight;
	}

	/**
	 * This method initializes txtColor
	 *
	 * @return javax.swing.JTextField
	 */
	private ColorChooserPanel getColorChooser() {
		if (colorPanel == null) {
			colorPanel = new ColorChooserPanel();
		}
		return colorPanel;
	}

	/**
	 * This method initializes txtRotate
	 *
	 * @return javax.swing.JTextField
	 */
	private JTextField getTxtRotate() {
		if (txtRotate == null) {
			txtRotate = new JTextField();
		}
		return txtRotate;
	}
	private AcceptCancelPanel getAcceptCancelPanel() {
		if (accept == null) {
			ActionListener okAction, cancelAction;
			okAction = new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					isAccepted = true;
					PluginServices.getMDIManager().closeWindow(
							Annotation_ModifyWindow.this);
				}
			};
			cancelAction = new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					isAccepted = false;
					PluginServices.getMDIManager().closeWindow(
							Annotation_ModifyWindow.this);
				}
			};
			accept = new AcceptCancelPanel(okAction, cancelAction);
			accept.setPreferredSize(new java.awt.Dimension(200, 30));
			// accept.setBounds(new java.awt.Rectangle(243,387,160,28));
			accept.setEnabled(true);
			accept.setVisible(true);
		}
		return accept;
	}

	/**
	 * This method initializes jPanel1
	 *
	 * @return javax.swing.JPanel
	 */
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			jPanel1 = new JPanel();
			jPanel1.setLayout(new BorderLayout());
			jPanel1.setSize(new java.awt.Dimension(244,142));
			jPanel1.add(getJPanel(), java.awt.BorderLayout.NORTH);
			jPanel1.add(getJPanel2(), java.awt.BorderLayout.SOUTH);
		}
		return jPanel1;
	}

	/**
	 * This method initializes jPanel2
	 *
	 * @return javax.swing.JPanel
	 */
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			jPanel2 = new JPanel();
			jPanel2.add(getAcceptCancelPanel(), null);
		}
		return jPanel2;
	}

	public void setValues(Value[] values, Annotation_Mapping am) {
		this.mapping=am;
		getTxtText().setText(values[am.getColumnText()].toString());
		getCmbTypeFont().setSelectedItem(values[am.getColumnTypeFont()].toString());
		int style=((NumericValue)values[am.getColumnStyleFont()]).intValue();
		getCmbStyleFont().setSelectedIndex(style);
		getTxtHeight().setText(values[am.getColumnHeight()].toString());
		int intColor=((NumericValue)values[am.getColumnColor()]).intValue();
		Color color=new Color(intColor);
		getColorChooser().setColor(color);
		getColorChooser().setAlpha(color.getAlpha());
		getTxtRotate().setText(values[am.getColumnRotate()].toString());

	}

	public boolean isAccepted() {
		return isAccepted;
	}

	public Value[] getValues() {
		Value[] values=new Value[6];
		values[mapping.getColumnText()]=ValueFactory.createValue(getTxtText().getText());
		values[mapping.getColumnTypeFont()]=ValueFactory.createValue(getCmbTypeFont().getSelectedItem().toString());
		values[mapping.getColumnStyleFont()]=ValueFactory.createValue(getCmbStyleFont().getSelectedIndex());
		values[mapping.getColumnHeight()]=ValueFactory.createValue(Double.parseDouble(getTxtHeight().getText()));
		values[mapping.getColumnColor()]=ValueFactory.createValue(getColorChooser().getColor().getRGB());
		values[mapping.getColumnRotate()]=ValueFactory.createValue(Double.parseDouble(getTxtRotate().getText()));
		return values;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
