/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2006 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 */
package org.gvsig.georeferencing.gui.listeners;


import com.iver.andami.PluginServices;
import com.iver.cit.gvsig.fmap.MapControl;
import com.iver.cit.gvsig.fmap.tools.GeorefPanListenerImpl;
import com.iver.cit.gvsig.fmap.tools.Events.MoveEvent;


/**
 * Extensin de la clase PanListenerImpl de FMap para poder llamar a mtodos de
 * andami o de gvSIG.
 *
 * @author Vicente Caballero Navarro
 */
public class GeorefPanListener extends GeorefPanListenerImpl {
	/**
	 * DOCUMENT ME!
	 *
	 * @param mapCtrl
	 */
	public GeorefPanListener(MapControl mapCtrl) {
		super(mapCtrl);
	}

	/**
	 * DOCUMENT ME!
	 *
	 * @param event DOCUMENT ME!
	 */
	public void move(MoveEvent event) {
		super.move(event);
		PluginServices.getMainFrame().enableControls();
	}
}
