/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2005 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 */

/**
 * 
 */
package org.gvsig.gui.beans;

import javax.swing.JPanel;

import org.gvsig.i18n.Messages;

/**
 * Clase base para los componentes. 
 * Registramos en ella de forma esttica el directorio de los ficheros de traduccin para la 
 * libreria gvsig-i18n.jar
 * 
 * @author Nacho Brodin (brodin_ign@gva.es)
 *
 */
public abstract class BaseComponent extends JPanel{
    
    static {
        Messages.addResourceFamily("org.gvsig.gui.beans.translations.text", BaseComponent.class.getClassLoader(), "org.gvsig.gui.beans");
    }
    
}
