/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2005 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 */
package org.gvsig.gui.beans.table.models;

import javax.swing.table.DefaultTableModel;

public class RadioButtonModel extends DefaultTableModel implements IModel{

	private String[]		columnNames = null;
	
	public RadioButtonModel(String[] columnNames){
		super(new Object[0][2], columnNames);
		this.columnNames = columnNames;
	}
	
	
	public Class getColumnClass(int c) {
        if (c < 1) {
            return Boolean.class;
        }

        return String.class;
    }
	
	
	public void setValueAt(Object value, int row, int col) {
        super.setValueAt(value, row, col);
    }
	
	
	public void addNew() {
        super.addRow(new Object[] {
                         new Boolean(false), ""
                     });
    }
	
	
	public Object[] getNewLine() {
		return new Object[] {new Boolean(false), ""
			};
	}

}
